summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Andrea Sacchetti Picchio2023-12-14 15:49:43 +0100
committer Willy Sudiarto Raharjo2023-12-14 17:59:40 +0100
commitc065811d9c6db0e9a52a4abb2d2df23a5c6daa9e (patch)
tree06f4159725f1a967dad7d5e425a132fffd754870 /ham
parent0f9a3b636a1dea93aa50fbb1b224049d6b3622fa (diff)
downloadslackbuilds-c065811d9c6db0e9a52a4abb2d2df23a5c6daa9e.tar.gz
ham/serialDV: Added (C++ Minimal interface).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/serialDV/README19
-rw-r--r--ham/serialDV/serialDV.SlackBuild111
-rw-r--r--ham/serialDV/serialDV.info10
-rw-r--r--ham/serialDV/slack-desc19
4 files changed, 159 insertions, 0 deletions
diff --git a/ham/serialDV/README b/ham/serialDV/README
new file mode 100644
index 0000000000..e04968baab
--- /dev/null
+++ b/ham/serialDV/README
@@ -0,0 +1,19 @@
+SerialDV is inspired from the OpenDV project but retains only the
+minimal interface to encode and decode audio with AMBE3000 based
+devices in packet mode over a serial link.
+
+SerialDV is designed with the following assumptions:
+
+- One object controls one device in one thread. It is up to you to
+ control the device in a separate thread or create a pool of threads
+ for a pool of devices with load balancing. No fancy stuff here
+ because fancy stuff depends too much on the environment.
+- The library manages the atomic operations of decoding one AMBE frame
+ or encoding one audio frame in query/reply pairs or transactions.
+ Each query is returned a complete reply or an error. There is no
+ queuing mechanism whatsoever.
+- AMBE3000 chip has many modes and features the scope of this library
+ is to provide an easy to use interface for the most popular digital
+ voice modes i.e. D-Star and the DMR likes (DMR, YSF, P25, ...). Some
+ more may be added in the future if the need arises.
+- It will work for both encoding and decoding
diff --git a/ham/serialDV/serialDV.SlackBuild b/ham/serialDV/serialDV.SlackBuild
new file mode 100644
index 0000000000..86082c368f
--- /dev/null
+++ b/ham/serialDV/serialDV.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+
+# Slackware build script for serialDV
+
+# Copyright 2023 Andrea Sacchetti Picchio Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=serialDV
+VERSION=${VERSION:-1.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make $NUMJOBS
+ make install/strip DESTDIR=$PKG
+cd ..
+
+# Fix (it seems that LIB_SUFFIX is not taken into account)
+[ -d $PKG/usr/lib -a ! -e $PKG/usr/lib$LIBDIRSUFFIX ] && mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE Readme.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ham/serialDV/serialDV.info b/ham/serialDV/serialDV.info
new file mode 100644
index 0000000000..956bacf318
--- /dev/null
+++ b/ham/serialDV/serialDV.info
@@ -0,0 +1,10 @@
+PRGNAM="serialDV"
+VERSION="1.1.4"
+HOMEPAGE="https://github.com/f4exb/serialDV/"
+DOWNLOAD="https://github.com/f4exb/serialDV/archive/v1.1.4/serialDV-1.1.4.zip"
+MD5SUM="d054d61bc18d3d45cba215c37e184757"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrea Sacchetti Picchio"
+EMAIL="andrea dot sacchettipicchio at gmail dot com"
diff --git a/ham/serialDV/slack-desc b/ham/serialDV/slack-desc
new file mode 100644
index 0000000000..773dce1787
--- /dev/null
+++ b/ham/serialDV/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+serialDV: serialDV (AMBE3000 encode/decode audio)
+serialDV:
+serialDV: serialDV is a C++ Minimal interface to encode and decode audio with
+serialDV: AMBE3000 based devices in packet mode over a serial link.
+serialDV:
+serialDV:
+serialDV:
+serialDV:
+serialDV:
+serialDV: Homepage: https://github.com/f4exb/serialDV/
+serialDV: